@font-face {
  font-family: "Blippo";
  src: url(../fonts/blippo-black/blippo-black.ttf);
  /* src: url(../fonts/Bilbao-Poster-Black/Bilbao-Poster.ttf); */
}

:root {
  --main-hex: #c9422e;
  --main-rgb: 201, 66, 46;
}

* {
  box-sizing: border-box;
  padding: 0;
  margin: 0;
  font-family: sans-serif;
}

/* CUSTOM CSS LIB */
.bi::before,
[class*=" bi-"]::before,
[class^="bi-"]::before {
  line-height: 2 !important;
}
/* END CUSTOM CSS LIB */

/* CUSTOM */
main#main .btn-primary.btn-custom {
  background-color: var(--main-hex);
  border-radius: 10px;
  border-color: var(--main-hex);
}

#gallery {
  columns: 4;
  column-gap: 24px;
}

#gallery a {
  width: 100%;
  display: block;
  margin-bottom: 24px;
  break-inside: avoid;
}
/* END CUSTOM */

/* OWL-CAROUSEL */
main#main div.owl-carousel .owl-nav {
  margin: 0;
}
main#main div.owl-carousel:hover .owl-nav .disabled {
  opacity: 0.4;
  background-color: #919191;
}
main#main div.owl-carousel .owl-nav .disabled:hover {
  background-color: #919191;
  color: #000;
}
main#main div.owl-carousel:hover :is(.owl-prev, .owl-next, .disabled) {
  opacity: 1;
}
main#main div.owl-carousel .owl-prev,
main#main div.owl-carousel .owl-next {
  top: 50%;
  transform: translateY(-50%);
  z-index: 2;
  width: 40px;
  height: 40px;
  padding: 8px;
  opacity: 0;
  position: absolute;
  border-radius: 20%;
  box-shadow: 0 4px 4px rgba(0, 0, 0, 0.3), 0 0 4px rgba(0, 0, 0, 0.2);
  transition: all 0.3s;
}
main#main div.owl-carousel :is(.owl-prev, .owl-next):not(.disabled) {
  background-color: #fff;
}
main#main div.owl-carousel .owl-prev {
  left: 10px;
}
main#main div.owl-carousel .owl-next {
  right: 10px;
}

main#main div.owl-carousel .owl-prev,
main#main div.owl-carousel .owl-next {
  display: flex;
  justify-content: center;
  align-items: center;
  color: #000;
  font-size: 30px;
}
main#main div.owl-carousel .owl-prev:hover,
main#main div.owl-carousel .owl-next:hover {
  background-color: var(--main-hex);
  color: #fff;
}
main#main div.owl-carousel .owl-prev span,
main#main div.owl-carousel .owl-next span {
  height: 50px;
  display: block;
  margin-top: -2px;
}

.owl-theme .owl-dots .owl-dot.active span {
  background-color: var(--main-hex) !important;
}
.owl-theme .owl-dots .owl-dot:hover span {
  background-color: rgba(var(--main-rgb), 0.3) !important;
}
/* END OWL-CAROUSEL */

/* ROW TITLE */
.row-title > div {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 15px;
}
.row-title > div h3 {
  position: relative;
  text-transform: uppercase;
  font-weight: bolder;
  color: var(--main-hex);
  font-size: 3em;
  margin: 0;
  font-family: "Blippo";
}
.row-title > div h3::after {
  content: "";
  position: absolute;
  display: block;
  width: 100%;
  height: 4px;
  background-color: var(--main-hex);
  bottom: 0;
}
.row-title > div p {
  margin: 0;
  font-weight: bolder;
  font-size: 1.25em;
}
/* END ROW TITLE */

/* TOPBAR */
header#header .topbar {
  background-color: var(--main-hex);
  padding: 10px 0px;
}
header#header .topbar div.row > div {
  display: flex;
  justify-content: space-between;
}
header#header .topbar div.row > div a {
  color: #fff;
  text-decoration: none;
}
header#header .topbar div.row > div a:hover {
  text-decoration: underline;
}

header#header .topbar .top-sociais {
  display: flex;
  gap: 15px;
}
/* END TOPBAR */

/* MENU */
header#header > .container > .row > div:first-child {
  display: flex;
  align-items: center;
}
header#header > .container > .row > div:first-child img {
  width: 130px;
  padding: 0;
  margin: 0;
}

header#header > .container > .row > div:last-child {
  padding: 30px 0px;
}
header#header
  > .container
  > .row
  > div:last-child
  .nav-item:not(:last-child)
  a.nav-link {
  color: #292929;
  font-weight: bold;
  padding: 0.5rem 0.75rem;
  transition: all 0.3s;
}
header#header
  > .container
  > .row
  > div:last-child
  .nav-item:not(:last-child)
  a.nav-link:hover {
  color: var(--main-hex);
}
header#header > .container > .row > div:last-child .nav-detach {
  background-color: var(--main-hex);
  border-radius: 5px;
  margin-left: 10px;
}
header#header > .container > .row > div:last-child .nav-detach a {
  color: #fff;
}
/* END MENU */

/* SLIDER */
main#main section.slidershow .item {
  position: relative;
}
main#main section.slidershow .item .label-text {
  position: absolute;
  width: 40%;
  z-index: 1;
  left: 5%;
  top: 50%;
  transform: translateY(-50%);
}
main#main section.slidershow .item.item-invert .label-text {
  left: auto;
  right: 5%;
}
main#main section.slidershow .item .label-text h3 {
  position: relative;
  font-size: 30pt;
  padding: 20px 30px;
  margin: 0 !important;
  border-radius: 1rem;
  overflow: hidden;
  color: #fff;
  font-weight: bolder;
  font-family: "Blippo";
  text-transform: uppercase;
}
main#main section.slidershow .item .label-text h3::after {
  content: "";
  display: block;
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  backdrop-filter: blur(5px) brightness(0.5);
  -webkit-backdrop-filter: blur(5px) brightness(0.5);
  border-radius: 0.25rem;
  z-index: -1;
}
/* END SLIDER */

/* PRODUCT */
.product-card {
  background-color: #fff;
  border-radius: 10px;
  overflow: hidden;
  box-shadow: 0 10px 20px rgba(0, 0, 0, 0.1);
  transition: transform 0.3s ease, box-shadow 0.3s ease;
}

.product-card:hover {
  transform: translateY(-5px);
  box-shadow: 0 15px 30px rgba(0, 0, 0, 0.15);
}

.product-card__image {
  height: 250px;
  overflow: hidden;
}

.product-card__image img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  transition: transform 0.3s ease;
}

.product-card:hover .product-card__image img {
  transform: scale(1.05);
}

.product-card__info {
  padding: 20px;
}

.product-card__title {
  font-size: 1.5rem;
  font-weight: 700;
  margin-bottom: 10px;
  color: #333333;
}

.product-card__description {
  font-size: 0.9rem;
  color: #666;
  margin-bottom: 20px;

  text-align: justify;
  overflow: hidden;
  text-overflow: ellipsis;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  display: -moz-box;
  -moz-box-orient: vertical;
  -webkit-line-clamp: 2;
  line-clamp: 2;
}

.product-card__price-row {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.product-card__price {
  font-size: 1.25rem;
  font-weight: 600;
  color: #d83344;
}

.product-card__btn {
  background-color: #d83344;
  color: white;
  border: none;
  padding: 10px 20px;
  border-radius: 50px;
  font-size: 0.9rem;
  font-weight: 600;
  cursor: pointer;
  transition: background-color 0.3s ease;
}

.product-card__btn:hover {
  background-color: #c71729;
}

@media (max-width: 480px) {
  .cont {
    max-width: 100%;
    padding: 0 20px;
  }

  .product-card__image {
    height: 200px;
  }

  .product-card__title {
    font-size: 1.3rem;
  }

  .product-card__description {
    font-size: 0.8rem;
  }

  .product-card__price {
    font-size: 1.1rem;
  }

  .product-card__btn {
    padding: 8px 16px;
    font-size: 0.8rem;
  }
}
/* END PRODUCT */

/* PRODUCT DETAILS */
section#product-details .miniatures {
  overflow-y: auto;
  overflow-x: hidden;
}
section#product-details .miniatures img {
  cursor: pointer;
  width: 100%;
  height: 70px;
  object-fit: cover;
}
section#product-details .picture {
  height: fit-content;
}
section#product-details .picture a {
  display: block;
}
section#product-details .picture img {
  width: 100%;
}

section#product-details .content-mini-picture {
  display: flex;
  flex-direction: column;
  min-width: 80px;
  width: 80px;
}
section#product-details .content-mini-picture .mini-picture img {
  width: 100%;
}

h3.product-title {
  font-size: 30pt;
}
h5.product-subtitle {
  font-weight: bold;
  text-transform: uppercase;
  font-size: 13pt;
  margin-bottom: 5px;
}
h5.product-price {
  font-size: 25pt;
}

.btn-whatsapp {
  background-color: #128c7e !important;
  padding: 0.4em 0em !important;
  width: 200px;
  color: #fff !important;
}

/* END PRODUCT DETAILS */

/* ABOUT */
main#main section.about > div.row > div:first-child img {
  object-fit: cover;
}

main#main section.about > div.row > div:last-child {
  background-color: var(--main-hex);
  color: #fff;
  padding: 30px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: baseline;
  gap: 15px;
}
main#main section.about > div.row > div:last-child h3 {
  font-size: 2.5em;
  font-weight: bolder;
  font-family: "Blippo";
  text-transform: uppercase;
}
main#main section.about > div.row > div:last-child p {
  font-size: 20px;
}
/* END ABOUT */

/* PARTS */
main#main section.parts .row:nth-child(2) {
  gap: 20px 0px;
}
main#main section.parts .row:nth-child(2) .owl-item {
  display: flex;
  justify-content: center;
}
main#main section.parts .row:nth-child(2) div.item {
  max-width: 370px;
}
main#main section.parts .row:nth-child(2) div.item > a {
  display: flex;
  flex-direction: column;
  gap: 10px;
  text-decoration: none;
  border-radius: 10px;
  padding: 20px;
  height: 100%;
  transition: all 0.3s;
}
main#main section.parts .row:nth-child(2) div.item > a:hover {
  background-color: var(--main-hex);
}
main#main section.parts .row:nth-child(2) div.item > a img {
  width: 100%;
  max-height: 200px;
  object-fit: cover;
  border-radius: 10px;
}
main#main section.parts .row:nth-child(2) div.item > a h4 {
  font-size: 1.3em;
  text-align: center;
  font-weight: bolder;
  color: var(--main-hex);
  transition: all 0.3s;
}
main#main section.parts .row:nth-child(2) div.item > a:hover h4 {
  color: #fff;
}
/* END PARTS */

/* BANNER WHATSAPP */
main#main section.banner-contact {
  background-image: url(../img/ilustração/banner-whatsapp.jpg);
  background-size: cover;
  background-position: 50% 70%;
  padding: 40px 40px;
  height: fit-content;
  position: relative;
}
main#main section.banner-contact::after {
  content: "";
  position: absolute;
  display: block;
  inset: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(var(--main-rgb), 0.5);
  z-index: 1;
}
main#main section.banner-contact > div {
  z-index: 2;
  position: relative;
}
main#main section.banner-contact > div h4 {
  color: #fff;
  font-weight: bolder;
  font-size: 25pt;
  line-height: normal;
}
main#main section.banner-contact > div a {
  --background-btn: #128c7e;

  white-space: nowrap;
  text-wrap-mode: nowrap;
  border-radius: 10px;
  background-color: var(--background-btn);
  border-color: var(--background-btn);
  color: #ece5dd;
}
/* main#main section.banner-contact > div > div {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 20px;
}
 */
/* END BANNER WHATSAPP */

/* SERVICES */
main#main section.services {
  position: relative;
  background-image: url(../img/icon.png);
  background-size: contain;
  background-position: center;
  background-repeat: no-repeat;
}
main#main section.services::after {
  content: "";
  position: absolute;
  display: block;
  inset: 0;
  background-color: rgba(255, 255, 255, 0.8);
  z-index: 1;
}
main#main section.services > :is(.row, .container) {
  position: relative;
  z-index: 2;
}

main#main section.services > div:last-child > div {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 24px 0px;
}
main#main section.services > div:last-child > div > div.item a {
  text-decoration: none;
  color: #fff;
  background-color: var(--main-hex);
  border-radius: 5px;
  height: 100%;
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 10px 0px;
  padding: 20px;
}
main#main section.services > div:last-child > div > div.item img {
  width: 100%;
  height: 100px;
  object-fit: contain;
  filter: drop-shadow(2px 4px 0px #fff);
  transition: all 0.3s;
}
main#main section.services > div:last-child > div > div.item:hover img {
  filter: drop-shadow(2px 4px 0px #fff) invert(1);
}
main#main section.services > div:last-child > div > div.item h3 {
  text-transform: uppercase;
  font-weight: bolder;
  text-align: center;
  font-size: 15pt;
  margin: 0;
}
main#main section.services > div:last-child > div > div.item p {
  margin: 0;
  text-align: center;
  font-size: 10pt;
}
/* END SERVICES */

/* CONTACT */
main#main section.contact .container > .row {
  gap: 40px 0px;
}
main#main section.contact form.form-contact {
  background: var(--main-hex);
  padding: 30px;
  border-radius: 10px;
  color: #fff;
  font-weight: bold;
}
/* END CONTACT */

/* FOOTER */
footer#footer {
  color: #000;
  background-color: #eee;
  border-top: 1px solid color-mix(in srgb, var(--main-hex), transparent 75%);
  font-size: 14px;
  position: relative;
}
footer#footer a {
  text-decoration: none;
}

footer#footer .footer-top {
  padding-top: 50px;
}

footer#footer .footer-about .logo {
  line-height: 1;
  margin-bottom: 25px;
}

footer#footer .footer-about .logo img {
  max-height: 125px;
  margin-right: 6px;
}

footer#footer .footer-about .logo span {
  font-size: 26px;
  font-weight: 700;
  letter-spacing: 1px;
}

footer#footer .footer-about p {
  font-size: 14px;
}

footer#footer .social-links a {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 40px;
  height: 40px;
  border-radius: 50%;
  border: 1px solid color-mix(in srgb, #000, transparent 50%);
  font-size: 16px;
  color: color-mix(in srgb, #000, transparent 20%);
  margin-right: 10px;
  transition: 0.3s;
}

footer#footer .social-links a:hover {
  color: var(--main-hex);
  border-color: var(--main-hex);
}

footer#footer h4 {
  font-size: 16px;
  font-weight: bold;
  position: relative;
  padding-bottom: 12px;
}

footer#footer .footer-links {
  margin-bottom: 30px;
}

footer#footer .footer-links ul {
  list-style: none;
  padding: 0;
  margin: 0;
}

footer#footer .footer-links ul i {
  padding-right: 2px;
  font-size: 12px;
  line-height: 0;
}

footer#footer .footer-links ul li {
  padding: 10px 0;
  display: flex;
  align-items: center;
}

footer#footer .footer-links ul li:first-child {
  padding-top: 0;
}

footer#footer .footer-links ul a {
  color: color-mix(in srgb, #000, transparent 30%);
  display: inline-block;
  line-height: 1;
}

footer#footer .footer-links ul a:hover {
  color: var(--main-hex);
}

footer#footer .footer-contact p {
  margin-bottom: 5px;
}

footer#footer .copyright {
  padding-top: 25px;
  padding-bottom: 25px;
  border-top: 1px solid color-mix(in srgb, #000, transparent 90%);
}

footer#footer .copyright p {
  margin-bottom: 0;
}

footer#footer .credits {
  margin-top: 8px;
  font-size: 13px;
}
/* END FOOTER */
